GET /nodes/{node_id}/files/{provider}/{path}/
Summary: Retrieve a file
Operation ID: nodes_files_read
Auth: unknown
Operation ID: nodes_files_read
Auth: unknown
Description
Retrieves the details of a file attached to given node (project or component) for the given storage provider. #### Returns Returns a JSON object with a `data` key containing the representation of the requested file object, if the request is successful. If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed.
Parameters (3)
node_id
(string, path, required)
The unique identifier of the node.
path
(string, path, required)
The unique identifier of the file path.
provider
(string, path, required)
The unique identifier of the storage provider.
No probe data for this endpoint yet.